# Getting Started with Movielens

The MovieLens25M is a popular dataset for recommender systems and is used in academic publications.
Most users are familiar with the dataset and the example notebooks teach the basic concepts of NVTabular:

* Learning NVTabular for using GPU-accelerated ETL (Preprocess and Feature Engineering).
* Getting familiar with NVTabular’s high-level API.
* Using single-hot/multi-hot categorical input features with NVTabular.
* Using NVTabular dataloader with TensorFlow Keras model.
* Using NVTabular dataloader with PyTorch.

Refer to the following notebooks:

* [Download and Convert](01-Download-Convert.ipynb)
* [ETL with NVTabular](02-ETL-with-NVTabular.ipynb)
* Training a model: [HugeCTR](03-Training-with-HugeCTR.ipynb) | [TensorFlow](03-Training-with-TF.ipynb) | [PyTorch](03-Training-with-PyTorch.ipynb)
* Serving with Triton Inference Server: [HugeCTR](04-Triton-Inference-with-HugeCTR.ipynb) | [TensorFlow](04-Triton-Inference-with-TF.ipynb)